Skip to main content
GET
List Cards

Authorizations

x-auth-token
string
header
required

The API token for login provided by UQPay.

Headers

x-on-behalf-of
string

Specifies the sub-account on whose behalf the request is made. This should be set to the account_id, which can be retrieved via the List Connected Accounts endpoint. If omitted or empty, the request is executed using the master account. More information at Connected Accounts.

Query Parameters

page_size
integer
default:10
required

The maximum number of items to return per page. This number can be between 10 - 100, and will default to 10

Required range: 10 <= x <= 100
page_number
integer
default:1
required

The page number to retrieve the next set of items. The number has to be greater than 1, and will default to 1

Required range: x >= 1
card_number
string

The full card number.

Example:

"4096360811214526"

card_status
enum<string>

Retrieve items with the specified card status. Matches any card status if unspecified. Card status enum. See the Card lifecycle and statuses guide for more information.

Available options:
PENDING,
ACTIVE,
FROZEN,
BLOCKED,
CANCELLED,
LOST,
STOLEN,
FAILED
Example:

"ACTIVE"

cardholder_id
string<uuid>

The cardholder’s unique identifier.

Example:

"7c4ff2cd-1bf6-4aaa-bf16-266771425011"

Response

200 - application/json

OK - Successfully retrieved a list of cardholders.

total_pages
integer

The total pages of available items.

Example:

1

total_items
integer

The total counts of available items.

Example:

10

data
object[]